Index: trunk/doc/delphes_diagram.svg
===================================================================
--- trunk/doc/delphes_diagram.svg	(revision 1286)
+++ trunk/doc/delphes_diagram.svg	(revision 1288)
@@ -15,5 +15,5 @@
    version="1.1"
    inkscape:version="0.48.2 r9819"
-   sodipodi:docname="delphes_diagram.pdf">
+   sodipodi:docname="delphes_diagram.svg">
   <defs
      id="defs4">
@@ -754,16 +754,16 @@
      inkscape:pageopacity="0.0"
      inkscape:pageshadow="2"
-     inkscape:zoom="0.70710678"
-     inkscape:cx="267.62"
-     inkscape:cy="403.6575"
+     inkscape:zoom="1"
+     inkscape:cx="471.05787"
+     inkscape:cy="412.60832"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
      showgrid="true"
      inkscape:snap-global="true"
-     inkscape:window-width="1291"
-     inkscape:window-height="746"
-     inkscape:window-x="-8"
-     inkscape:window-y="-8"
-     inkscape:window-maximized="1"
+     inkscape:window-width="1277"
+     inkscape:window-height="723"
+     inkscape:window-x="0"
+     inkscape:window-y="0"
+     inkscape:window-maximized="0"
      inkscape:snap-grids="true"
      showguides="true"
@@ -786,5 +786,5 @@
         <dc:type
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
+        <dc:title />
       </cc:Work>
     </rdf:RDF>
@@ -1193,10 +1193,4 @@
            sodipodi:role="line">muons</tspan></text>
     </g>
-    <path
-       inkscape:connector-curvature="0"
-       id="path9605"
-       d="m 430,667.36217 c -10,0 -15,10 -19,92"
-       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend-3)"
-       sodipodi:nodetypes="cc" />
     <g
        id="g6612"
@@ -2034,5 +2028,6 @@
        sodipodi:nodetypes="cc" />
     <g
-       id="g4575">
+       id="g4575"
+       transform="translate(0,34.999987)">
       <rect
          ry="0"
@@ -2062,24 +2057,28 @@
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
-    <rect
-       style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
-       id="rect5351-2-1-11-7-4"
-       width="100"
-       height="20"
-       x="280"
-       y="727.36218"
-       ry="0" />
-    <text
-       xml:space="preserve"
-       style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
-       x="329.4068"
-       y="741.63806"
-       id="text5342-2-86-3-5-6-3"
-       sodipodi:linespacing="125%"><tspan
-         sodipodi:role="line"
-         id="tspan5344-2-0-8-2-1-1"
+    <g
+       id="g3320"
+       transform="translate(0,-35.000013)">
+      <rect
+         ry="0"
+         y="727.36218"
+         x="280"
+         height="20"
+         width="100"
+         id="rect5351-2-1-11-7-4"
+         style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+      <text
+         sodipodi:linespacing="125%"
+         id="text5342-2-86-3-5-6-3"
+         y="741.63806"
          x="329.4068"
-         y="741.63806"
-         style="font-size:18px;text-align:center;text-anchor:middle">energy scale</tspan></text>
+         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
+         xml:space="preserve"><tspan
+           style="font-size:18px;text-align:center;text-anchor:middle"
+           y="741.63806"
+           x="329.4068"
+           id="tspan5344-2-0-8-2-1-1"
+           sodipodi:role="line">energy scale</tspan></text>
+    </g>
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"