Index: trunk/doc/delphes_diagram.svg
===================================================================
--- trunk/doc/delphes_diagram.svg	(revision 1288)
+++ trunk/doc/delphes_diagram.svg	(revision 1289)
@@ -15,5 +15,5 @@
    version="1.1"
    inkscape:version="0.48.2 r9819"
-   sodipodi:docname="delphes_diagram.svg">
+   sodipodi:docname="delphes_diagram.pdf">
   <defs
      id="defs4">
@@ -741,4 +741,74 @@
       <path
          id="path3929-50"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-174"
+       style="overflow:visible">
+      <path
+         id="path3929-0"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-8-48"
+       style="overflow:visible">
+      <path
+         inkscape:connector-curvature="0"
+         id="path3929-8-82"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-55"
+       style="overflow:visible">
+      <path
+         id="path3929-17"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-15"
+       style="overflow:visible">
+      <path
+         id="path3929-276"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-232"
+       style="overflow:visible">
+      <path
+         id="path3929-21"
          d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
          style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
@@ -754,7 +824,7 @@
      inkscape:pageopacity="0.0"
      inkscape:pageshadow="2"
-     inkscape:zoom="1"
-     inkscape:cx="471.05787"
-     inkscape:cy="412.60832"
+     inkscape:zoom="0.70710678"
+     inkscape:cx="400.35479"
+     inkscape:cy="395.00682"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
@@ -786,5 +856,5 @@
         <dc:type
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title />
+        <dc:title></dc:title>
       </cc:Work>
     </rdf:RDF>
@@ -796,14 +866,14 @@
      transform="translate(0,-252.36217)">
     <rect
-       style="opacity:0.75000000000000000;fill:#c5e0dc;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       style="opacity:0.75;fill:#c5e0dc;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
        id="rect3903"
        width="340"
        height="400"
-       x="159.99969"
+       x="160"
        y="392.36218"
        ry="36.866348" />
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Lend)"
-       d="m 149.99999,332.57899 0,30 180,0 1.5e-4,26.78318"
+       d="m 120.00007,332.57899 0,30 180,0 1.5e-4,26.78318"
        id="path3915"
        inkscape:connector-curvature="0"
@@ -811,5 +881,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 509.99999,332.57899 0,30 -180,0"
+       d="m 480.00007,332.57899 0,30 -180,0"
        id="path4729"
        inkscape:connector-curvature="0"
@@ -817,5 +887,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 269.99999,332.57899 0,30"
+       d="m 240.00007,332.57899 0,30"
        id="path4731"
        inkscape:connector-curvature="0"
@@ -823,5 +893,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 389.99999,332.57899 0,30"
+       d="m 360.00007,332.57899 0,30"
        id="path4733"
        inkscape:connector-curvature="0"
@@ -835,5 +905,5 @@
     <g
        id="g4440"
-       transform="translate(-99.999795,-49.78319)">
+       transform="translate(-129.99993,-49.783193)">
       <path
          transform="translate(285,390)"
@@ -885,5 +955,5 @@
     <g
        id="g6502"
-       transform="translate(-149.99992,119.99996)">
+       transform="translate(-180.00006,119.99996)">
       <rect
          ry="10"
@@ -909,5 +979,5 @@
     <g
        id="g6507"
-       transform="translate(-130.42839,119.99996)">
+       transform="translate(-190.42853,119.99996)">
       <rect
          ry="10"
@@ -931,16 +1001,4 @@
            y="416.67374">muons</tspan></text>
     </g>
-    <path
-       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:3.79999995;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 250.00014,492.36217 c -20,0 -29,2 -39,27"
-       id="path5539"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 410.00014,492.36217 c 20,0 29,2 39,27"
-       id="path5545"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
     <g
        id="g4410"
@@ -969,5 +1027,5 @@
     <g
        id="g4375"
-       transform="translate(-129.99986,-10.00001)">
+       transform="translate(-190,-10.000019)">
       <rect
          ry="0"
@@ -999,16 +1057,16 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 450.00014,542.36217 0,17"
+       d="m 390,542.36217 0,17"
        id="path8433"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
     <g
-       id="g3325">
+       id="g4437">
       <rect
          ry="0"
          y="562.36218"
-         x="250.00014"
+         x="240"
          height="39.999989"
-         width="160"
+         width="120"
          id="rect5351-2"
          style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
@@ -1017,10 +1075,10 @@
          id="text5342-2-86"
          y="577.6864"
-         x="329.68372"
+         x="299.64404"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:100%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;line-height:100%;text-anchor:middle"
            y="577.6864"
-           x="329.68372"
+           x="299.64404"
            id="tspan5344-2-0"
            sodipodi:role="line">calorimeter</tspan><tspan
@@ -1028,6 +1086,6 @@
            style="font-size:18px;text-align:center;line-height:100%;text-anchor:middle"
            y="595.6864"
-           x="329.68372"
-           sodipodi:role="line">and energy flow</tspan></text>
+           x="299.64404"
+           sodipodi:role="line">&amp; energy flow</tspan></text>
     </g>
     <path
@@ -1038,36 +1096,29 @@
        sodipodi:nodetypes="cc" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 390,642.36217 -7e-5,116.99998"
-       id="path8427-7"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 330,602.36217 -7e-5,16.99998"
+       d="m 270,602.36205 -7e-5,16.99998"
        id="path8427-2"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
     <g
-       id="g4749"
-       transform="translate(-80,199.99999)">
+       id="g4443">
       <rect
          ry="0"
-         y="562.36218"
-         x="270"
+         y="762.36218"
+         x="190"
          height="20"
-         width="160"
+         width="220"
          id="rect5351-2-1-1"
-         style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-86-3-3"
-         y="577.36218"
-         x="349.78693"
+         y="776.72595"
+         x="299.83301"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;text-anchor:middle"
-           y="577.36218"
-           x="349.78693"
+           y="776.72595"
+           x="299.83301"
            id="tspan5344-2-0-8-5"
            sodipodi:role="line">unique object finder</tspan></text>
@@ -1075,5 +1126,5 @@
     <g
        id="g4365"
-       transform="translate(-130,4.9999874)">
+       transform="translate(-310,4.9999874)">
       <rect
          ry="0"
@@ -1123,5 +1174,5 @@
     <g
        id="g6607"
-       transform="translate(-70.000061,119.99998)">
+       transform="translate(-70.092346,120.68846)">
       <rect
          ry="10"
@@ -1171,5 +1222,5 @@
     <g
        id="g6622"
-       transform="translate(-130.00006,129.99999)">
+       transform="translate(-190.09235,160.68846)">
       <rect
          ry="10"
@@ -1195,5 +1246,5 @@
     <g
        id="g6612"
-       transform="translate(-110.00006,119.99998)">
+       transform="translate(-50.000061,89.999987)">
       <rect
          ry="10"
@@ -1261,5 +1312,5 @@
     <g
        id="g4196"
-       transform="translate(-100.00001,-49.78319)">
+       transform="translate(-129.99993,-49.78319)">
       <rect
          ry="20"
@@ -1285,5 +1336,5 @@
     <g
        id="g4180"
-       transform="translate(-100.00001,-49.78319)">
+       transform="translate(-129.99993,-49.78319)">
       <path
          style="opacity:0.75;fill:#f1d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1"
@@ -1353,5 +1404,5 @@
     <g
        id="g4186"
-       transform="translate(-100.00001,-49.78319)">
+       transform="translate(-129.99993,-49.78319)">
       <rect
          ry="20"
@@ -1377,5 +1428,5 @@
     <g
        id="g4191"
-       transform="translate(-100.00001,-49.78319)">
+       transform="translate(-129.99993,-49.78319)">
       <rect
          ry="20"
@@ -1429,5 +1480,5 @@
     </g>
     <g
-       transform="translate(-10,4.9999874)"
+       transform="translate(110,4.9999874)"
        id="g4325-8">
       <rect
@@ -1482,43 +1533,33 @@
            sodipodi:role="line">FastJet</tspan></text>
     </g>
+    <rect
+       style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       id="rect5351-2-16"
+       width="220"
+       height="19.999876"
+       x="190"
+       y="483.03796"
+       ry="0" />
+    <text
+       xml:space="preserve"
+       style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
+       x="300"
+       y="497.36218"
+       id="text5342-2-86-8"
+       sodipodi:linespacing="125%"><tspan
+         sodipodi:role="line"
+         id="tspan5344-2-0-5"
+         x="300"
+         y="497.36218"
+         style="font-size:18px;text-align:center;text-anchor:middle">particle propagator</tspan></text>
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 270,602.36217 -7e-5,16.99998"
-       id="path8427-0-7-2"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <g
-       id="g6149"
-       transform="translate(-99.999863,-130.00001)">
-      <rect
-         ry="0"
-         y="612.36218"
-         x="350"
-         height="19.999876"
-         width="160"
-         id="rect5351-2-16"
-         style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
-      <text
-         sodipodi:linespacing="125%"
-         id="text5342-2-86-8"
-         y="626.6864"
-         x="429.83301"
-         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
-         xml:space="preserve"><tspan
-           style="font-size:18px;text-align:center;text-anchor:middle"
-           y="626.6864"
-           x="429.83301"
-           id="tspan5344-2-0-5"
-           sodipodi:role="line">particle propagator</tspan></text>
-    </g>
+       d="m 300,502.36217 0,17"
+       id="path8427-41"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 330.00014,502.36217 0,17"
-       id="path8427-41"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 330.00014,462.36217 0,17"
+       d="m 300,462.36217 0,17"
        id="path8427-3-4"
        inkscape:connector-curvature="0"
@@ -1526,5 +1567,5 @@
     <g
        id="g3378-2-2"
-       transform="translate(-99.999863,-170.00001)">
+       transform="translate(-130,-170.00001)">
       <g
          id="g6149-7">
@@ -1553,5 +1594,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 330.00014,422.36217 0,17"
+       d="m 300,422.36217 0,17"
        id="path8427-3-4-5"
        inkscape:connector-curvature="0"
@@ -1727,5 +1768,5 @@
     <g
        id="g4754"
-       transform="translate(-99.999996,199.99999)">
+       transform="translate(-39.406799,95.724108)">
       <rect
          ry="0"
@@ -1751,5 +1792,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 330.00014,542.36217 -7e-5,16.99998"
+       d="m 300,542.36217 -7e-5,16.99998"
        id="path8427-0-7-9-1-1-5"
        inkscape:connector-curvature="0"
@@ -1762,13 +1803,7 @@
        sodipodi:nodetypes="cc" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend);stroke-miterlimit:4;stroke-dasharray:none"
-       d="m 450,582.36217 -7e-5,36.99998"
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
+       d="m 389.99986,582.36217 -7e-5,36.99998"
        id="path8427-0-7-9-1-1-52-3"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8-83);stroke-miterlimit:4;stroke-dasharray:none"
-       d="m 450,677.36217 -7e-5,131.99998"
-       id="path10208-1"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
@@ -1993,5 +2028,5 @@
     </g>
     <g
-       id="g4414">
+       id="g4513">
       <rect
          ry="0"
@@ -1999,5 +2034,5 @@
          x="190"
          height="19.999876"
-         width="280"
+         width="290"
          id="rect5351-2-16-74"
          style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
@@ -2005,11 +2040,11 @@
          sodipodi:linespacing="125%"
          id="text5342-2-86-8-0"
-         y="636.6864"
-         x="330.12744"
+         y="636.76105"
+         x="335.12744"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;text-anchor:middle"
-           y="636.6864"
-           x="330.12744"
+           y="636.76105"
+           x="335.12744"
            id="tspan5344-2-0-5-9"
            sodipodi:role="line">pile-up subtractors</tspan></text>
@@ -2017,5 +2052,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 390,602.36217 -7e-5,16.99998"
+       d="m 330,602.36205 -7e-5,16.99998"
        id="path8427-0-7-2-4"
        inkscape:connector-curvature="0"
@@ -2113,5 +2148,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 270,642.36217 -7e-5,11.99998"
+       d="m 389.98682,641.58043 -7e-5,11.99998"
        id="path8427-0-7-2-2-93"
        inkscape:connector-curvature="0"
@@ -2125,5 +2160,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 450,642.36217 -7e-5,11.99998"
+       d="m 270,642.36217 -7e-5,11.99998"
        id="path8427-0-7-2-2-2"
        inkscape:connector-curvature="0"
@@ -2135,4 +2170,34 @@
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
+       d="m 390,677.36217 0,82"
+       id="path8427-0-9"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8);stroke-miterlimit:4;stroke-dasharray:none"
+       d="m 450,677.36217 -7e-5,131.99998"
+       id="path8832-6-4"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       d="m 210,502.36217 0,17"
+       id="path8427-41-1"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       d="m 390,502.36217 0,17"
+       id="path8427-41-14"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
+       d="m 450,642.36217 -7e-5,11.99998"
+       id="path8427-0-7-2-2-93-6"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
   </g>
 </svg>