Index: trunk/doc/delphes_diagram.svg
===================================================================
--- trunk/doc/delphes_diagram.svg	(revision 1294)
+++ trunk/doc/delphes_diagram.svg	(revision 1295)
@@ -867,6 +867,6 @@
      inkscape:pageshadow="2"
      inkscape:zoom="0.70710678"
-     inkscape:cx="387.42411"
-     inkscape:cy="400"
+     inkscape:cx="449.8699"
+     inkscape:cy="410.03006"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
@@ -1491,4 +1491,27 @@
            sodipodi:role="line">file</tspan></text>
     </g>
+    <g
+       id="g4466">
+      <rect
+         ry="0"
+         y="657.36218"
+         x="190"
+         height="20"
+         width="200"
+         id="rect8357-2-4-2"
+         style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:3.79999995;stroke-opacity:1;stroke-dasharray:none" />
+      <text
+         sodipodi:linespacing="125%"
+         id="text8359-0-6-4"
+         y="671.58044"
+         x="289.95605"
+         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
+         xml:space="preserve"><tspan
+           style="font-size:18px;text-align:center;text-anchor:middle"
+           y="671.58044"
+           x="289.95605"
+           id="tspan8365-0-0-5"
+           sodipodi:role="line">isolation</tspan></text>
+    </g>
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
@@ -2112,5 +2135,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 290,642.36217 -7e-5,46.99998"
+       d="m 290,642.36217 -7e-5,11.99998"
        id="path8427-0-7-2-2-93"
        inkscape:connector-curvature="0"
@@ -2136,5 +2159,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 290,712.36217 0,47"
+       d="m 290,677.36217 0,82"
        id="path8427-0-9"
        inkscape:connector-curvature="0"
@@ -2152,27 +2175,4 @@
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
-    <g
-       id="g4466">
-      <rect
-         ry="0"
-         y="657.36218"
-         x="170"
-         height="20"
-         width="80"
-         id="rect8357-2-4-2-9"
-         style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:3.79999995;stroke-opacity:1;stroke-dasharray:none" />
-      <text
-         sodipodi:linespacing="125%"
-         id="text8359-0-6-4-2"
-         y="671.58044"
-         x="209.95605"
-         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
-         xml:space="preserve"><tspan
-           style="font-size:18px;text-align:center;text-anchor:middle"
-           y="671.58044"
-           x="209.95605"
-           id="tspan8365-0-0-5-79"
-           sodipodi:role="line">isolation</tspan></text>
-    </g>
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
@@ -2192,52 +2192,4 @@
        id="path4506"
        inkscape:connector-curvature="0" />
-    <g
-       transform="translate(160,-1.2617188e-5)"
-       id="g4466-1">
-      <rect
-         ry="0"
-         y="657.36218"
-         x="170"
-         height="20"
-         width="80"
-         id="rect8357-2-4-2-9-7"
-         style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:3.79999995;stroke-opacity:1;stroke-dasharray:none" />
-      <text
-         sodipodi:linespacing="125%"
-         id="text8359-0-6-4-2-4"
-         y="671.58044"
-         x="209.95605"
-         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
-         xml:space="preserve"><tspan
-           style="font-size:18px;text-align:center;text-anchor:middle"
-           y="671.58044"
-           x="209.95605"
-           id="tspan8365-0-0-5-79-0"
-           sodipodi:role="line">isolation</tspan></text>
-    </g>
-    <g
-       transform="translate(80,34.999987)"
-       id="g4466-1-9">
-      <rect
-         ry="0"
-         y="657.36218"
-         x="170"
-         height="20"
-         width="80"
-         id="rect8357-2-4-2-9-7-4"
-         style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:3.79999995;stroke-opacity:1;stroke-dasharray:none" />
-      <text
-         sodipodi:linespacing="125%"
-         id="text8359-0-6-4-2-4-8"
-         y="671.58044"
-         x="209.95605"
-         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
-         xml:space="preserve"><tspan
-           style="font-size:18px;text-align:center;text-anchor:middle"
-           y="671.58044"
-           x="209.95605"
-           id="tspan8365-0-0-5-79-0-8"
-           sodipodi:role="line">isolation</tspan></text>
-    </g>
   </g>
 </svg>