Index: trunk/doc/delphes_diagram.svg
===================================================================
--- trunk/doc/delphes_diagram.svg	(revision 1298)
+++ trunk/doc/delphes_diagram.svg	(revision 1299)
@@ -15,5 +15,8 @@
    version="1.1"
    inkscape:version="0.48.2 r9819"
-   sodipodi:docname="delphes_diagram.svg">
+   sodipodi:docname="delphes_diagram.svg"
+   inkscape:export-filename="Z:\ModularDelphes\new\doc\delphes_diagram.png"
+   inkscape:export-xdpi="300"
+   inkscape:export-ydpi="300">
   <defs
      id="defs4">
@@ -1021,6 +1024,6 @@
      inkscape:pageshadow="2"
      inkscape:zoom="0.6"
-     inkscape:cx="630.88926"
-     inkscape:cy="462.75571"
+     inkscape:cx="472.9"
+     inkscape:cy="457.24429"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
@@ -1052,5 +1055,5 @@
         <dc:type
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title />
+        <dc:title></dc:title>
       </cc:Work>
     </rdf:RDF>
@@ -1098,5 +1101,5 @@
       <path
          transform="matrix(1.25,0,0,1.5000001,278.75,178.81885)"
-         d="m 185,72.362183 a 40,10 0 1 1 -80,0 40,10 0 1 1 80,0 z"
+         d="m 185,72.362183 c 0,5.522847 -17.90861,10 -40,10 -22.09139,0 -40,-4.477153 -40,-10 0,-5.522848 17.90861,-10 40,-10 22.09139,0 40,4.477152 40,10 z"
          sodipodi:ry="10"
          sodipodi:rx="40"
@@ -1120,5 +1123,5 @@
     </g>
     <g
-       id="g3343">
+       id="g4584">
       <rect
          ry="14.999993"
@@ -1128,5 +1131,5 @@
          width="100"
          id="rect5351"
-         style="opacity:0.75;fill:#f2d4af;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1143,5 +1146,5 @@
     </g>
     <g
-       id="g3348">
+       id="g4589">
       <rect
          ry="14.999993"
@@ -1151,5 +1154,5 @@
          width="180"
          id="rect5351-61"
-         style="opacity:0.75;fill:#f2d4af;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1166,5 +1169,5 @@
     </g>
     <g
-       id="g3338">
+       id="g4579">
       <rect
          ry="14.999993"
@@ -1174,5 +1177,5 @@
          width="100"
          id="rect5351-5"
-         style="opacity:0.75;fill:#f2d4af;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1307,120 +1310,115 @@
     </g>
     <g
-       id="g5524"
-       transform="translate(10,2.6416014e-6)">
+       id="g4560">
       <rect
          ry="14.999993"
          y="832.36218"
-         x="290"
+         x="300"
          height="29.999987"
          width="100"
          id="rect5351-8"
-         style="opacity:0.75;fill:#e08e79;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-1"
          y="852.16687"
-         x="339.99023"
+         x="349.99023"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:20px;text-align:center;text-anchor:middle"
            y="852.16687"
-           x="339.99023"
+           x="349.99023"
            id="tspan5344-2-8"
            sodipodi:role="line">electrons</tspan></text>
     </g>
     <g
-       id="g5535"
-       transform="translate(10,2.6416014e-6)">
+       id="g4555">
       <rect
          ry="14.999993"
          y="802.36218"
-         x="410"
+         x="420"
          height="29.999987"
          width="100"
          id="rect5351-8-0"
-         style="opacity:0.75;fill:#e08e79;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-1-3"
          y="822.24988"
-         x="460.1416"
+         x="470.1416"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:20px;text-align:center;text-anchor:middle"
            y="822.24988"
-           x="460.1416"
+           x="470.1416"
            id="tspan5344-2-8-8"
            sodipodi:role="line">photons</tspan></text>
     </g>
     <g
-       id="g5543"
-       transform="translate(10,2.6416014e-6)">
+       id="g4550">
       <rect
          ry="14.999993"
          y="832.36218"
-         x="530"
+         x="540"
          height="29.999987"
          width="100"
          id="rect5351-8-0-1"
-         style="opacity:0.75;fill:#e08e79;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-1-3-2"
          y="852.16687"
-         x="580.47363"
+         x="590.47363"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:20px;text-align:center;text-anchor:middle"
            y="852.16687"
-           x="580.47363"
+           x="590.47363"
            id="tspan5344-2-8-8-5"
            sodipodi:role="line">jets</tspan></text>
     </g>
     <g
-       id="g5516"
-       transform="translate(10,2.6416014e-6)">
+       id="g4565">
       <rect
          ry="14.999993"
          y="802.36218"
-         x="170"
+         x="180"
          height="29.999987"
          width="100"
          id="rect5351-8-0-1-9"
-         style="opacity:0.75;fill:#e08e79;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-1-3-2-4"
          y="822.16687"
-         x="220.09277"
+         x="230.09277"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:20px;text-align:center;text-anchor:middle"
            y="822.16687"
-           x="220.09277"
+           x="230.09277"
            id="tspan5344-2-8-8-5-7"
            sodipodi:role="line">muons</tspan></text>
     </g>
     <g
-       id="g5559"
-       transform="translate(10,2.6416014e-6)">
+       id="g4600">
       <rect
          ry="14.999993"
          y="802.36218"
-         x="650"
+         x="660"
          height="29.999987"
          width="100"
          id="rect5351-8-0-1-3-0"
-         style="opacity:0.75;fill:#e08e79;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-1-3-2-5-1"
          y="824.02722"
-         x="699.76074"
+         x="709.76074"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:20px;text-align:center;text-anchor:middle"
            y="824.02722"
-           x="699.76074"
+           x="709.76074"
            id="tspan5344-2-8-8-5-1-6"
            sodipodi:role="line">MET</tspan></text>