Index: trunk/doc/delphes_diagram.svg
===================================================================
--- trunk/doc/delphes_diagram.svg	(revision 1302)
+++ trunk/doc/delphes_diagram.svg	(revision 1303)
@@ -11,9 +11,9 @@
    xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
    width="800"
-   height="920"
+   height="970"
    id="svg2"
    version="1.1"
    inkscape:version="0.48.2 r9819"
-   sodipodi:docname="delphes_diagram.svg"
+   sodipodi:docname="delphes_diagram.pdf"
    inkscape:export-filename="Z:\ModularDelphes\new\doc\delphes_diagram.png"
    inkscape:export-xdpi="300"
@@ -1010,4 +1010,102 @@
       <path
          id="path3929-9"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-1740"
+       style="overflow:visible">
+      <path
+         id="path3929-94"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="marker3353"
+       style="overflow:visible">
+      <path
+         id="path3355"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-24"
+       style="overflow:visible">
+      <path
+         id="path3929-55"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-17409"
+       style="overflow:visible">
+      <path
+         id="path3929-48"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-527"
+       style="overflow:visible">
+      <path
+         id="path3929-614"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-322"
+       style="overflow:visible">
+      <path
+         id="path3929-1685"
+         d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
+         style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
+         transform="matrix(-0.4,0,0,-0.4,-4,0)"
+         inkscape:connector-curvature="0" />
+    </marker>
+    <marker
+       inkscape:stockid="Arrow1Mend"
+       orient="auto"
+       refY="0"
+       refX="0"
+       id="Arrow1Mend-618"
+       style="overflow:visible">
+      <path
+         id="path3929-92"
          d="M 0,0 5,-5 -12.5,0 5,5 0,0 z"
          style="fill-rule:evenodd;stroke:#000000;stroke-width:1pt;marker-start:none"
@@ -1024,6 +1122,6 @@
      inkscape:pageshadow="2"
      inkscape:zoom="0.6"
-     inkscape:cx="472.9"
-     inkscape:cy="457.24429"
+     inkscape:cx="638.14"
+     inkscape:cy="490.77986"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
@@ -1063,16 +1161,16 @@
      inkscape:groupmode="layer"
      id="layer1"
-     transform="translate(0,-132.36217)">
+     transform="translate(0,-82.36217)">
     <rect
-       style="opacity:0.75000000000000000;fill:#c5e0dc;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       style="opacity:0.75;fill:#c5e0dc;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
        id="rect3903"
        width="620"
-       height="520"
+       height="570"
        x="160"
-       y="262.36218"
-       ry="47.92625" />
+       y="212.36217"
+       ry="52.534546" />
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Lend)"
-       d="m 470,232.36213 1.5e-4,26.78318"
+       d="m 470,182.36213 1.5e-4,26.78318"
        id="path3915"
        inkscape:connector-curvature="0"
@@ -1080,5 +1178,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 400,202.36217 0,30"
+       d="m 400,152.36217 0,30"
        id="path4731"
        inkscape:connector-curvature="0"
@@ -1086,5 +1184,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 540,202.36217 0,30"
+       d="m 540,152.36217 0,30"
        id="path4733"
        inkscape:connector-curvature="0"
@@ -1092,5 +1190,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Lend)"
-       d="m 120,437.36217 37.00007,2e-5"
+       d="m 120,387.36218 37.00007,2e-5"
        id="path4735"
        inkscape:connector-curvature="0"
@@ -1098,5 +1196,5 @@
     <g
        id="g5462"
-       transform="translate(10,2.6416014e-6)">
+       transform="translate(10,-49.999997)">
       <path
          transform="matrix(1.25,0,0,1.5000001,278.75,178.81885)"
@@ -1123,5 +1221,5 @@
     </g>
     <g
-       id="g4584">
+       id="g4712">
       <rect
          ry="14.999993"
@@ -1131,43 +1229,44 @@
          width="100"
          id="rect5351"
-         style="opacity:0.75000000000000000;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2"
-         y="441.58044"
-         x="349.99121"
-         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
-         xml:space="preserve"><tspan
-           style="font-size:20px;text-align:center;text-anchor:middle"
-           y="441.58044"
-           x="349.99121"
+         y="442.16687"
+         x="349.99023"
+         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
+         xml:space="preserve"><tspan
+           style="font-size:20px;text-align:center;text-anchor:middle"
+           y="442.16687"
+           x="349.99023"
            id="tspan5344-2"
            sodipodi:role="line">electrons</tspan></text>
     </g>
     <g
-       id="g4589">
+       id="g4630"
+       transform="translate(0,-19.999998)">
       <rect
          ry="14.999993"
-         y="422.36218"
-         x="500"
+         y="392.36218"
+         x="180"
          height="29.999987"
-         width="180"
+         width="580"
          id="rect5351-61"
-         style="opacity:0.75000000000000000;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-89"
-         y="441.76111"
-         x="590.09668"
-         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
-         xml:space="preserve"><tspan
-           style="font-size:20px;text-align:center;text-anchor:middle"
-           y="441.76111"
-           x="590.09668"
+         y="412.16687"
+         x="470.1416"
+         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
+         xml:space="preserve"><tspan
+           style="font-size:20px;text-align:center;text-anchor:middle"
+           y="412.16687"
+           x="470.1416"
            id="tspan5344-2-2"
-           sodipodi:role="line">all stable particles</tspan></text>
-    </g>
-    <g
-       id="g4579">
+           sodipodi:role="line">propagated stable particles</tspan></text>
+    </g>
+    <g
+       id="g4720">
       <rect
          ry="14.999993"
@@ -1177,10 +1276,10 @@
          width="100"
          id="rect5351-5"
-         style="opacity:0.75000000000000000;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-4"
-         y="441.56775"
-         x="230.0835"
+         y="442.16687"
+         x="230.09277"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
@@ -1188,9 +1287,10 @@
            id="tspan5449"
            style="font-size:20px;text-align:center;text-anchor:middle"
-           x="230.0835"
-           y="441.56775">muons</tspan></text>
-    </g>
-    <g
-       id="g5613">
+           x="230.09277"
+           y="442.16687">muons</tspan></text>
+    </g>
+    <g
+       id="g5613"
+       transform="translate(0,2.5416016e-6)">
       <rect
          ry="0"
@@ -1216,5 +1316,5 @@
     <g
        id="g5325"
-       transform="translate(10,2.6416014e-6)">
+       transform="translate(10,4.5416016e-6)">
       <rect
          ry="0"
@@ -1251,10 +1351,10 @@
        sodipodi:nodetypes="cc" />
     <g
-       id="g5345"
-       transform="translate(10,2.6416014e-6)">
+       id="g4563"
+       transform="translate(0.3515625,-29.804698)">
       <rect
          ry="0"
-         y="472.36218"
-         x="440"
+         y="452.36218"
+         x="450"
          height="49.999989"
          width="280"
@@ -1264,21 +1364,21 @@
          sodipodi:linespacing="100%"
          id="text5342-2-86"
-         y="492.16687"
-         x="579.64844"
+         y="472.16687"
+         x="589.64844"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:100%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:20px;text-align:center;line-height:100%;text-anchor:middle"
-           y="492.16687"
-           x="579.64844"
+           y="472.16687"
+           x="589.64844"
            id="tspan5344-2-0"
            sodipodi:role="line">calorimeter</tspan><tspan
            id="tspan3282"
            style="font-size:20px;text-align:center;line-height:100%;text-anchor:middle"
-           y="512.16687"
-           x="579.64844"
+           y="492.16687"
+           x="589.64844"
            sodipodi:role="line">and energy flow</tspan></text>
     </g>
     <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
        d="m 470,522.36217 -7e-5,16.99998"
        id="path8427-2"
@@ -1318,5 +1418,5 @@
          width="100"
          id="rect5351-8"
-         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1341,5 +1441,5 @@
          width="100"
          id="rect5351-8-0"
-         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1364,5 +1464,5 @@
          width="100"
          id="rect5351-8-0-1"
-         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1387,5 +1487,5 @@
          width="100"
          id="rect5351-8-0-1-9"
-         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1410,5 +1510,5 @@
          width="100"
          id="rect5351-8-0-1-3-0"
-         style="opacity:0.75000000000000000;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#e08e79;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
@@ -1468,5 +1568,5 @@
     <g
        id="g5486"
-       transform="translate(10,2.6416014e-6)">
+       transform="translate(10,-49.999997)">
       <rect
          ry="16.666658"
@@ -1492,5 +1592,5 @@
     <g
        id="g5470"
-       transform="translate(10,2.6416014e-6)">
+       transform="translate(10,-49.999997)">
       <rect
          ry="16.666658"
@@ -1516,5 +1616,5 @@
     <g
        id="g5478"
-       transform="translate(10,2.6416014e-6)">
+       transform="translate(10,-49.999997)">
       <rect
          ry="16.666637"
@@ -1564,5 +1664,5 @@
     <g
        id="g5354"
-       transform="translate(10,2.6416014e-6)">
+       transform="translate(10,-49.999997)">
       <rect
          ry="0"
@@ -1594,5 +1694,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 470,352.36213 0,17"
+       d="m 470,302.36213 0,17"
        id="path8427-3-4"
        inkscape:connector-curvature="0"
@@ -1600,5 +1700,5 @@
     <g
        id="g5454"
-       transform="translate(10,2.6416014e-6)">
+       transform="translate(10,-49.999997)">
       <rect
          ry="0"
@@ -1624,5 +1724,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 470,302.36213 0,17"
+       d="m 470,252.36213 0,17"
        id="path8427-3-4-5"
        inkscape:connector-curvature="0"
@@ -1630,5 +1730,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Lend)"
-       d="m 120,337.36217 37.00014,7e-5"
+       d="m 120,287.36217 37.00014,7e-5"
        id="path4735-8"
        inkscape:connector-curvature="0"
@@ -1636,5 +1736,5 @@
     <g
        id="g5377"
-       transform="translate(-17.03125,1.3963993)">
+       transform="translate(-17.03125,-48.603599)">
       <rect
          ry="16.666664"
@@ -1819,22 +1919,4 @@
     </g>
     <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 590,452.36217 -7e-5,16.99998"
-       id="path8427-0-7-9-1-1-5"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 230,502.36216 -7e-5,36.99998"
-       id="path8427-0-7-9-1-1-52"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
-       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 350,502.36216 -7e-5,36.99998"
-       id="path8427-0-7-9-1-1-52-3"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8-83)"
        d="m 590,772.36217 -7e-5,56.99998"
@@ -1843,5 +1925,5 @@
        sodipodi:nodetypes="cc" />
     <g
-       transform="matrix(0.04006914,0,0,0.04006914,686.71468,316.79929)"
+       transform="matrix(0.04006914,0,0,0.04006914,686.71468,266.79929)"
        id="g3941">
       <g
@@ -2080,5 +2162,5 @@
     </g>
     <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
        d="m 590,522.36217 -7e-5,16.99998"
        id="path8427-0-7-2-4"
@@ -2140,10 +2222,4 @@
        sodipodi:nodetypes="cc" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 590,402.36217 0,17"
-       id="path8427-41-14"
-       inkscape:connector-curvature="0"
-       sodipodi:nodetypes="cc" />
-    <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend-8)"
        d="m 710,622.36217 -7e-5,176.99998"
@@ -2153,5 +2229,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
-       d="m 260,202.36213 0,30 420,0 0,-30"
+       d="m 260,152.36213 0,30 420,0 0,-30"
        id="path4506"
        inkscape:connector-curvature="0" />
@@ -2181,5 +2257,5 @@
     <g
        id="g5158"
-       transform="translate(40,-19.999913)">
+       transform="translate(40,-69.999913)">
       <g
          id="g5359">
@@ -2278,5 +2354,6 @@
        sodipodi:nodetypes="cc" />
     <g
-       id="g5421">
+       id="g5421"
+       transform="translate(0,-49.999994)">
       <rect
          ry="16.666664"
@@ -2305,4 +2382,92 @@
            sodipodi:role="line">file</tspan></text>
     </g>
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
+       d="m 230,502.36217 -7e-5,36.99998"
+       id="path8425-8"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
+       d="m 350,502.36217 0,37"
+       id="path8433-8"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       d="m 470,352.36217 0,17"
+       id="path8427-3-4-1"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       d="m 590,402.36217 0,17"
+       id="path8427-41-8"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <g
+       id="g4704">
+      <rect
+         ry="14.999993"
+         y="493.14392"
+         x="420.00879"
+         height="29.999987"
+         width="100"
+         id="rect5351-4"
+         style="opacity:0.75;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+      <text
+         sodipodi:linespacing="125%"
+         id="text5342-2-5"
+         y="512.94861"
+         x="470.15039"
+         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
+         xml:space="preserve"><tspan
+           style="font-size:20px;text-align:center;text-anchor:middle"
+           y="512.94861"
+           x="470.15039"
+           id="tspan5344-2-5"
+           sodipodi:role="line">photons</tspan></text>
+    </g>
+    <g
+       id="g4650">
+      <rect
+         ry="14.999993"
+         y="493.14392"
+         x="540.00879"
+         height="29.999987"
+         width="219.99121"
+         id="rect5351-4-7"
+         style="opacity:0.75;fill:#f2d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+      <text
+         sodipodi:linespacing="125%"
+         id="text5342-2-5-1"
+         y="512.94861"
+         x="650.32178"
+         style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
+         xml:space="preserve"><tspan
+           style="font-size:20px;text-align:center;text-anchor:middle"
+           y="512.94861"
+           x="650.32178"
+           id="tspan5344-2-5-1"
+           sodipodi:role="line">towers and tracks</tspan></text>
+    </g>
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       d="m 470,472.36217 0,17"
+       id="path8427-41-8-2"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       d="m 590,472.36217 0,17"
+       id="path8427-41-8-7"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
+    <path
+       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
+       d="m 710,472.36217 0,17"
+       id="path8427-41-8-79"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="cc" />
   </g>
 </svg>